Class UmlBaseActivityControlNode

Declaration :

- C++ : class UmlBaseActivityControlNode : public UmlActivityNode
- Java : abstract class UmlBaseActivityControlNode extends UmlActivityNode

Directly inherited by : UmlActivityControlNode

Artifact : UmlBaseActivityControlNode

Operation UmlBaseActivityControlNode

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityControlNode(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityControlNode(void * id, const QCString & s) : UmlActivityNode(id, s)
- Java : protected UmlBaseActivityControlNode(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload